.icon-red{
    color: red;
    font-weight:bold;
}
.icon-yellow{
    color: #ffcc00;
    font-weight:bold;
}
.icon-green{
    color: green;
    font-weight:bold;
}
.icon-gray{
    color: gray;
    font-weight:bold;
}

div.dataTables_wrapper {
    width: 100%;
    margin: 0 auto;
}
.first {
    min-width:250px;
    max-width: 250px;
    background: rgba(43, 85, 43, 0.94);
    color: #ECF0F1;
    word-break: break-all;/*必須*/
}
.word-yellow{
    color: yellow;
}
.word-orange{
    color: orange;
}
.word-red{
    color: red;
}
/*ISCB 把側邊欄關掉*/
@media (max-width: 1920px) {
    .nav-md .container.body .right_col,
    .nav-md .container.body .top_nav {
        width: 100%;
        margin: 0
    }
    .nav-md .container.body .col-md-3.left_col {
        display: none
    }
    .nav-md .container.body .right_col {
        width: 100%;
        padding-right: 0
    }
    .right_col {
        padding: 10px !important
    }
}
.table>tbody>tr>td, .table>tbody>tr>th, .table>tfoot>tr>td, .table>tfoot>tr>th, .table>thead>tr>td, .table>thead>tr>th {
    padding: 8px;
    line-height: 1.42857143;
    vertical-align: top;
    border-top: 1px solid #ddd;
}
.table>thead>tr>td, .table>thead>tr>th {
    border-top: 0;
}
.page-title .logo-img {
    display: inline-block;
    width: 80px !important;
    height: auto;
    margin-right: 12px;
}
.border-dark-gray {
    border-color: #c2c6ca !important;
}
.bg-light-green {
    background-color: #c9e2df !important;
}
/* btn */
.btn.btn-short {
    padding: 0.15rem 0.7rem;
}
.btn-sq {
    display: inline-block;
    border: 1px solid #929292;
    border-radius: 0;
    color: #929292;
}
.btn-sq .text {
    padding: 0 0.2rem;
    padding-right: 0.5rem;
    font-size: 0.95rem;
}
.btn-sq .icon {
    background-color: #929292;
    color: #fff;
    width: 26px;
    height: 26px;
    line-height: 26px;
    text-align: center;
    display: inline-block;
}
.btn-sq:hover {
    border-color: #466e99;
    color: #466e99;
}
.btn-sq:hover .icon {
    background-color: #466e99;
}
@media (max-width: 992px) {
    .table td .btn {
        margin-top: 4px;
    }
    .table td .btn:first-child {
        margin-top: 0;
    }
}
/* form */
[type="radio"]:not(:checked), [type="radio"]:checked {
    position: absolute;
    left: -9999px;
    visibility: hidden;
}
[type="radio"]:not(:checked)+label:before {
    border-radius: 50%;
    border: 2px solid #bfbfbf;
    background-color: #bfbfbf;
}
[type="radio"]+label:before, [type="radio"]+label:after {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    margin: 2px;
    width: 16px;
    height: 16px;
    z-index: 0;
    transition: all 0.1s ease;
}

[type="radio"]:disabled+label:before,
[type="radio"]:disabled+label:after {
    background-color: -internal-light-dark(rgba(239, 239, 239, 0.3), rgba(59, 59, 59, 0.3));
    color: -internal-light-dark(rgb(84, 84, 84), rgb(170, 170, 170));
    border-color: rgb(252 252 252 / 50%);
}
[type="radio"]:not(:checked)+label, [type="radio"]:checked+label {
    position: relative;
    padding-left: 22px;
    cursor: pointer;
    display: inline-block;
    height: auto;
    line-height: 18px;
    font-size: 1rem;
    transition: all 0.1s ease;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
[type="radio"]:disabled:not(:checked)+label,
[type="radio"]:disabled:checked+label {
    cursor: default;
}
[type="radio"]:checked+label:before {
    border-radius: 50%;
    border: 2px solid #199782;
}

[type="radio"]:checked+label:after {
    border-radius: 50%;
    border: 2px solid #199782;
    background-color: #199782;
    z-index: 0;
    -webkit-transform: scale(0.6);
    transform: scale(0.6);
}
.form-control.form-control-short,
.form-control.form-control-short~button {
    height: calc(1.2em + 1rem + 6px);
}
.form-control.form-control-short~button {
    line-height: 32px;
    padding: 0;
    width: 68px;
}
.inputfile {
    display: none;
}
label.btn {
    margin-bottom: 0;
}
/*  */
.q-box {
    border: 1px solid rgba(221, 221, 221, 0.78);
    background-color: #fff;
}
.q-box .heading {
    margin: 0;
    padding: 8px 10px;
    background-color: #c9e2df;
    color: #2c3c57;
}
.q-box .heading > button {
    border: 0;
    outline: none;
    background-color:transparent;
    display: block;
    width: 100%;
    text-align: left;
    padding: 0;
}
.q-box .heading .collapse-link {
    display: flex;
    align-items: center;
}
.q-box .heading .collapse-link i {
    margin-left: auto;
    font-size: 1.2rem;
    color: #676d72;
}
.q-box .q-body {
    padding-bottom: 0;
}
.q-box .single-q {
    border-bottom: 1px solid rgba(221, 221, 221, 0.78);
    padding-top: 24px;
    padding-left: 8px;
    padding-right: 8px;
    padding-bottom: 24px;
}
.q-box .single-q:last-child {
    margin-bottom: 0;
    border-bottom: 0;
}
.q-box .note {
    font-size: 0.95rem;
    color: #3798b7;
    padding-top: 4px;
}
/* f-table */
.f-table {

}
.f-table .f-table-item {
    display: flex;
    margin-bottom: 6px;
}
.f-table .f-table-item:last-child {
    margin-bottom: 0;
}
.f-table .f-table-item .label {
    width: 20%;
    font-weight: 600;
}
.ob-box {
    background-color: #f7f7f7;
    margin-bottom: 1.1rem;
    border: 1px solid rgb(0 0 0 / 8%);
}
.ob-box .ob-header {
    background-color: #478582;
    color: #fff;
    padding: 0.5rem 1rem;
}
.ob-box .ob-body {
    padding: 0.8rem 1rem;
    padding-bottom: 0.3rem;
    display: flex;
    align-items: center;
}
.ob-box .ob-body .left-box {
    width: 20%;
}
.ob-box .ob-body .right-box {
    width: 80%;
}
.ob-box .ob-body .ob-item {
    margin-bottom: 4px;
}
.ob-box .ob-body .ob-item:last-child {
    margin-bottom: 0;
}
.ob-box .ob-body .name {
    font-size: 1.3rem;
    font-weight: 600;
    display: inline-block;
    vertical-align: middle;
}
.ob-box .ob-body .level {
    display: inline-block;
    vertical-align: middle;
    padding-left: 8px;
}
.ob-box .ob-bottom {
    padding: 0 1rem;
    padding-bottom: 0.6rem;
}
.ob-box:hover {
    background-color: rgb(152 159 164 / 14%);
}
.history-item {
    margin-bottom: 2rem;
    background-color: #fff;
    padding: 0.8rem 1rem;
    box-shadow: 0 4px 20px -6px rgb(0 0 0 / 18%);
    border: 1px solid #ccd7df;
}
.history-item .jumbotron {
    padding-top: 1rem;
    padding-bottom: 1rem;
    margin-bottom: 0.4rem;
}
.item-title {
    font-size: 1.1rem;
    background-color: #3171ae;
    display: inline-block;
    color: #fff;
    padding: 8px 16px;
    padding-left: 10px;
    border-top-right-radius: 48px;
    border-bottom-right-radius: 48px;
    left: -1.1rem;
    position: relative;
}
.history-item.active .item-title {
    background-color: #00a89f;
}
.q-num {
    margin-right: 0.5rem;
}
.face-wrapper {
    margin-bottom: 2rem;
}
.x_title .ver-num {
    font-size: 1rem;
    margin-left: 8px;
    display: inline-block;
    color: #00b3ac;
}
.status-highlight {
    padding-bottom: 10px;
    margin-bottom: 14px;
    color: #00acac;
    font-size: 1.2rem;
    border-bottom: 1px solid rgb(87 106 124 / 30%);
}

@media (max-width: 1025px) {
    .ob-box .ob-body .left-box {
        width: 40%;
    }
    .ob-box .ob-body .right-box {
        width: 60%;
    }
    .history-item .jumbotron {
        padding: 0.8rem;
    }
}
@media (max-width: 450px) {
    table.table {
        min-width: 600px;
    }
    .ob-box .ob-body {
        flex-wrap: wrap;
    }
    .ob-box .ob-body .left-box,
    .ob-box .ob-body .right-box {
        width: 100%;
    }
    .ob-box .ob-body .right-box .btn-box {
        text-align: left !important;
    }
    .ob-box .ob-bottom {
        text-align: right;
    }
    .f-table .f-table-item .label {
        width: 40%;
    } 

    .search-box .col-2 {
        flex: 0 0 100%;
        max-width: 100%;
    }
    .search-box .col-2.mr-2 {
        margin-right: 0 !important;
    }
    .search-box label {
        margin-right: auto;
    }
    .q-box .heading {
        font-size: 1.45rem;
    }
    .jumbotron .col-6.mb-2 {
        margin-bottom: 1rem !important;
    }
    .welcome-section .d-flex {
        flex-wrap: wrap;
    }
    .welcome-section .d-flex h5 {
        width: 100%;
    }
    .welcome-section .d-flex .btn-sq {
        margin-left: 0 !important;
        margin-right: auto;
        margin-top: 6px;
    }
    .x_panel {
        padding: 6px 10px;
    }
    .q-box .input-group label {
        width: 100%;
        display: block;
    }

}